package com.hxhq.system.dto;

import com.hxhq.common.core.annotation.Excel;

/**
 * @author memory
 */
public class UserExportDto {
    /**
     * 账号
     */
    @Excel(name = "账号")
    private String userName;
    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String nickName;
    /**
     * 手机
     */
    @Excel(name = "手机")
    private String phonenumber;
    /**
     * 所属部门/学科
     */
    @Excel(name = "所属部门/学科")
    private String deptName;
    /**
     * 所属角色
     */
    @Excel(name = "所属角色")
    private String roleName;
    /**
     * 状态
     */
    @Excel(name = "状态", readConverterExp = "0=启用,1=禁用")
    private String status;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
